Bug 857933 (CVE-2012-4408)

Summary: CVE-2012-4408 moodle: Course reset not protected by proper capability (MSA-12-0054)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: limburgher
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120917,reported=20120904,source=distros,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:P/A:N,fedora-17/moodle=affected,fedora-16/moodle=affected,epel-6/moodle=affected,epel-5/moodle=affected
Fixed In Version: moodle 2.3.2, moodle 2.2.5, moodle 2.1.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-21 15:56:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 857981, 857983, 857984, 857986    
Bug Blocks:    

Description Jan Lieskovsky 2012-09-17 10:23:57 EDT
A security flaw was found in the way Moodle course management system performed permission check on course reset page (the course reset link was protected by a correct permission, but the reset page itself was being checked for a different permission). A remote attacker could use this flaw to in an unauthorized way to reset particular course.

Upstream patch:
[1] http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-34519

References:
[2] http://www.openwall.com/lists/oss-security/2012/09/17/1
Comment 1 Jan Lieskovsky 2012-09-17 10:26:00 EDT
This issue affects the versions of the moodle package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the versions of the moodle package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.
Comment 2 Gwyn Ciesla 2012-09-17 12:18:48 EDT
Update in progress, not linked to any BZ, none assigned to me.
Comment 3 Prasad J Pandit 2012-09-17 12:49:26 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 857981]
Comment 4 Prasad J Pandit 2012-09-17 12:52:18 EDT
Created moodle tracking bugs for this issue

Affects: fedora-16 [bug 857983]
Comment 5 Prasad J Pandit 2012-09-17 12:54:14 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 857984]
Comment 6 Prasad J Pandit 2012-09-17 12:55:45 EDT
Created moodle tracking bugs for this issue

Affects: epel-5 [bug 857986]